REST API v1.0

API Reference

Enterprise REST APIs for integrating, managing, and querying AmalHES smart grid telemetry and hardware gateways.

Authentication

Core endpoints for authentication

POST/v1/auth/token

Generates an access token using your application client credentials.

Request Parameters

NameTypeRequiredDescription
client_idstringYesYour application client ID
client_secretstringYesYour application client secret
grant_typestringYesMust be 'client_credentials'

Request Example

curl snippet
curl -X POST https://api.amalhes.com/v1/auth/token \
  -H "Content-Type: application/json" \
  -d '{
    "client_id": "your_client_id",
    "client_secret": "your_client_secret",
    "grant_type": "client_credentials"
  }'

200 OK Response

{
  "access_token": "am_live_998371625d8a7c6b5e4f",
  "token_type": "Bearer",
  "expires_in": 3600,
  "scope": "read:telemetry write:dcu"
}